Relational(1)

NAME
relational-cli — Implementation of Relational algebra.

SYNOPSIS

relational-cli [OPTIONS] [ FILE ...]

DESCRIPTION

This program provides a command line interface to execute relational algebra queries. It is meant to experiment with relational algebra queries.

SCRIPTING

The tool always runs in interactive mode, but it is possible to write a sequence of queries in a script and run it.

relational-cli < script.txt

The result of all the lines that do not terminate with a `;' are printed.

Comments are lines beginning with `;'.

Whenever stdin or stdout are not a terminal, silent mode will be used, which prints less debug information, to avoid cluttering.

OPTIONS

A summary of options is included below.

-v  Show version information and exit.

-h  Shows help and exit.

-q  Uses the Qt5 GUI.

-r  Uses the readline UI (default).

AUTHOR

This manual page was written by Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it> for the Debian GNU/Linux system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License version 3 or any later version published by the Free Software Foundation.